org.apache.tapestry5.internal.transform

## Class RetainWorker

- java.lang.Object
- - org.apache.tapestry5.internal.transform.RetainWorker

- All Implemented Interfaces:
    ComponentClassTransformWorker2

      public final class RetainWorker
      extends Object
      implements ComponentClassTransformWorker2

  Identifies fields with the `Retain` annotation, and "claims" them so that no special work will occur on them. Retain has been deprecated in Tapestry 5.2 and will likely be removed in the future.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetainWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Claims each field with the `Retain` , claiming it using the annotation class (not the annotation instance, to avoid instantiating the annotation) as the tag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetainWorker

          public RetainWorker()

  - ### Method Detail

    - #### transform

          public void transform(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Claims each field with the `Retain` , claiming it using the annotation class (not the annotation instance, to avoid instantiating the annotation) as the tag.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.